=== debian/control ===
Source: ros-jazzy-rosbag2-performance-benchmarking
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-launch-ros <!nocheck>, ros-jazzy-rclcpp, ros-jazzy-rmw, ros-jazzy-ros-testing <!nocheck>, ros-jazzy-ros2bag <!nocheck>, ros-jazzy-ros2launch <!nocheck>, ros-jazzy-rosbag2-compression, ros-jazzy-rosbag2-cpp, ros-jazzy-rosbag2-performance-benchmarking-msgs, ros-jazzy-rosbag2-py, ros-jazzy-rosbag2-storage, ros-jazzy-rosbag2-storage-default-plugins <!nocheck>, ros-jazzy-rosbag2-test-common <!nocheck>, ros-jazzy-sensor-msgs, ros-jazzy-yaml-cpp-vendor, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rosbag2-performance-benchmarking
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-psutil, ros-jazzy-ament-index-python, ros-jazzy-launch, ros-jazzy-launch-ros, ros-jazzy-rclcpp, ros-jazzy-rmw, ros-jazzy-rosbag2-compression, ros-jazzy-rosbag2-cpp, ros-jazzy-rosbag2-performance-benchmarking-msgs, ros-jazzy-rosbag2-py, ros-jazzy-rosbag2-storage, ros-jazzy-sensor-msgs, ros-jazzy-yaml-cpp-vendor, ros-jazzy-ros-workspace
Description: Code to benchmark rosbag2
